From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-benchmarks/siege/
Date: Wed, 16 Sep 2020 02:01:03 +0000 (UTC) [thread overview]
Message-ID: <1600221442.c1cb1a3ed833b29d00cae9dee9677e0111e79d04.sam@gentoo> (raw)
commit: c1cb1a3ed833b29d00cae9dee9677e0111e79d04
Author: Andrea Cerisara <andreacerisara <AT> gmail <DOT> com>
AuthorDate: Sat Aug 29 22:29:31 2020 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Wed Sep 16 01:57:22 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c1cb1a3e
app-benchmarks/siege-4.0.7: version bump
Signed-off-by: Andrea Cerisara <andreacerisara <AT> gmail.com>
Package-Manager: Portage-2.3.103, Repoman-2.3.23
Closes: https://github.com/gentoo/gentoo/pull/17324
Signed-off-by: Sam James <sam <AT> gentoo.org>
app-benchmarks/siege/Manifest | 1 +
app-benchmarks/siege/siege-4.0.7.ebuild | 49 +++++++++++++++++++++++++++++++++
2 files changed, 50 insertions(+)
diff --git a/app-benchmarks/siege/Manifest b/app-benchmarks/siege/Manifest
index 27492dd43e8..cdab71e08ec 100644
--- a/app-benchmarks/siege/Manifest
+++ b/app-benchmarks/siege/Manifest
@@ -1,2 +1,3 @@
DIST siege-4.0.4.tar.gz 523102 BLAKE2B 2d69dd37fea7ff35e05b41d500d4efb5b4fe60d9389b7bd98ec360148af781a24b6ebaa213b59ffc36cfcc8421efea14d8ec9f5742a53e019b2221584b5af17e SHA512 a8361ac0e2514626d794e7e4a345b178462409a1f3b53a9318adf171b511c408508acdb07652ad38f34021ac4a614dc5e6d2ea3c6a4ffd261ceef36d3226e573
DIST siege-4.0.5.tar.gz 525122 BLAKE2B 6d7410255d9682eeb6755bbf2eb6fd189d1c6e5e4c8bf4ed430e0ad4157ee6af9148a1bfe554167b74a6250b4897a3d34eb1c6c10cc91ff2352419769b9db975 SHA512 61f1b0a9fb4f9738f51932d5203a0ee6435aa413975dc3f5c7afafd74ec206e1ec20f5134171f740f55465e6c015df8bdac1775bc04be50bb10d0516e1a62d53
+DIST siege-4.0.7.tar.gz 525654 BLAKE2B b97c7309d33387d15327dc39ae115bebdfe64fa0debea2da87590ce801d2f590622392ea1ecc6be9f2973ff9b37dfc0f5f0fef232a4593410c4503db6c78771f SHA512 2dcccc50a2d8cd0d6c18efe776b871b999f6918c078898845fec34bb2b1b8ec03e0b95792dd963aaefb054e4f4e27f604ed95c0de5f8a34cbf738f66a2307abc
diff --git a/app-benchmarks/siege/siege-4.0.7.ebuild b/app-benchmarks/siege/siege-4.0.7.ebuild
new file mode 100644
index 00000000000..96acf64824f
--- /dev/null
+++ b/app-benchmarks/siege/siege-4.0.7.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools bash-completion-r1
+
+DESCRIPTION="A HTTP regression testing and benchmarking utility"
+HOMEPAGE="https://www.joedog.org/siege-home https://github.com/JoeDog/siege"
+SRC_URI="http://download.joedog.org/${PN}/${P}.tar.gz"
+
+LICENSE="GPL-3"
+KEYWORDS="~amd64 ~arm ~hppa ~mips ~ppc ~x86 ~x64-macos"
+SLOT="0"
+IUSE="libressl ssl"
+
+RDEPEND="ssl? (
+ !libressl? ( dev-libs/openssl:0= )
+ libressl? ( dev-libs/libressl:0= )
+)"
+DEPEND="${RDEPEND}"
+
+src_prepare() {
+ default
+ # bundled macros break recent libtool
+ sed -i -e '/AC_PROG_SHELL/d' configure.ac || die
+ rm *.m4 || die "failed to remove bundled macros"
+ eautoreconf
+}
+
+src_configure() {
+ local myconf=(
+ $(use_with ssl ssl "${EPREFIX}/usr")
+ )
+ econf "${myconf[@]}"
+}
+
+src_install() {
+ emake DESTDIR="${D}" install
+
+ dodoc AUTHORS ChangeLog INSTALL README* doc/siegerc doc/urls.txt
+
+ newbashcomp "${FILESDIR}"/${PN}.bash-completion ${PN}
+}
+
+pkg_postinst() {
+ elog "An example ~/.siegerc file has been installed in"
+ elog "${EPREFIX}/usr/share/doc/${PF}/"
+}
next reply other threads:[~2020-09-16 2:01 UTC|newest]
Thread overview: 49+ messages / expand[flat|nested] mbox.gz Atom feed top
2020-09-16 2:01 Sam James [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-02-16 13:02 [gentoo-commits] repo/gentoo:master commit in: app-benchmarks/siege/ Sam James
2024-08-31 15:44 Petr Vaněk
2024-08-31 15:44 Petr Vaněk
2023-12-08 12:54 Arthur Zamarin
2023-12-08 9:09 Arthur Zamarin
2023-12-08 9:07 Arthur Zamarin
2023-02-24 19:58 Arthur Zamarin
2023-02-24 19:58 Arthur Zamarin
2023-02-24 19:58 Arthur Zamarin
2023-01-12 14:52 Joonas Niilola
2021-12-05 18:39 Sam James
2021-12-05 18:31 Sam James
2021-12-05 4:00 Sam James
2021-07-15 6:03 Joonas Niilola
2021-07-15 6:03 Joonas Niilola
2021-07-06 17:59 Sam James
2021-07-02 7:38 Joonas Niilola
2021-05-30 5:24 Sam James
2021-05-29 8:53 Agostino Sarubbo
2021-05-29 8:41 Agostino Sarubbo
2021-05-01 14:10 Mikle Kolyada
2021-04-28 7:08 Joonas Niilola
2021-04-22 2:59 Sam James
2021-04-21 18:53 Sam James
2021-04-20 23:35 Sam James
2021-03-20 7:00 Joonas Niilola
2021-03-20 7:00 Joonas Niilola
2020-11-29 8:20 Agostino Sarubbo
2020-11-28 6:39 Joonas Niilola
2020-11-28 6:39 Joonas Niilola
2020-09-24 6:46 Agostino Sarubbo
2020-09-23 10:24 Agostino Sarubbo
2020-09-20 22:40 Thomas Deutschmann
2020-09-16 2:01 Sam James
2020-09-16 2:01 Sam James
2020-04-26 13:37 Joonas Niilola
2020-04-26 13:37 Joonas Niilola
2019-01-26 20:27 Pacho Ramos
2018-05-29 16:06 Mikle Kolyada
2018-05-27 13:01 Thomas Deutschmann
2018-05-27 12:01 Pacho Ramos
2018-05-18 14:41 Michał Górny
2018-04-15 14:41 Sergei Trofimovich
2018-04-12 20:54 Thomas Deutschmann
2018-04-01 17:41 Aaron Bauman
2016-06-03 8:33 Anthony G. Basile
2016-02-27 12:32 Patrick Lauer
2015-12-21 16:14 Patrick Lauer
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1600221442.c1cb1a3ed833b29d00cae9dee9677e0111e79d04.sam@gentoo \
--to=sam@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox